Hoppa till huvudinnehåll

Den här webbläsaren stöds inte längre.

Uppgradera till Microsoft Edge och dra nytta av de senaste funktionerna och säkerhetsuppdateringarna, samt teknisk support.

Ladda ned Microsoft Edge Mer information om Internet Explorer och Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Toolboxes

Retrieve a toolbox

GET /toolboxes/{name}

Retrieves the specified toolbox and its current configuration.

Sökvägsparametrar

name string krävs

The name of the toolbox to retrieve.

Frågeparametrar

api-version string krävs

The API version to use for this operation.

Svar

The request has succeeded.

Brödtext

Content-Type: application/json
id string krävs

The unique identifier of the toolbox.

name string krävs

The name of the toolbox.

updated_at integer krävs
versions ToolboxVersions krävs

The versions associated with a toolbox.

latest ToolboxVersionObject krävs

A specific version of a toolbox.

metadata object | null krävs

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
id string krävs

The unique identifier of the toolbox version.

name string krävs

The name of the toolbox.

version string krävs

The version identifier of the toolbox. Toolbox versions are immutable and every update creates a new version.

description string

A human-readable description of the toolbox.

created_at integer krävs

The Unix timestamp (seconds) when the toolbox version was created.

tools ToolboxTool[] krävs

The list of tools contained in this toolbox version.

skills ToolboxSkill[]

The list of skill sources included in this toolbox version.

policies ToolboxPolicies

Policy configuration for a toolbox, including content safety and other governance settings.

rai_config RaiConfig

Configuration for Responsible AI (RAI) content filtering and safety features.

rai_policy_name string krävs

The name of the RAI policy to apply.

invocations_moderation RaiInvocationModeration

Declares where request/response text lives so content-safety guardrails can extract it.

input_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

Något av följande:
string
enum
jsontext
output_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

Något av följande:
string
enum
jsontext
response_mode string | enum krävs

Author-declared response shape for the invocations protocol.

Något av följande:
string
enum
non_streamingstreamingboth
input_paths string[]

Path(s) to user text in the REQUEST body. Required when input_content_type is json.

output_paths string[]

Path(s) to agent text in a NON-STREAMING response body. Required when response_mode is non_streaming/both and output_content_type is json.

stream_selectors RaiSseTextSelector[]

One SSE event->field selector per event type carrying text. Required when response_mode is streaming/both and output_content_type is json.

default_version string krävs

The version identifier that the toolbox currently points to. Defaults to the latest version. Can be changed via updateToolbox.

Client error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Förfrågan

GET /toolboxes/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
sv-se
Dina sekretessalternativ
  • Ansvarsfriskrivning för AI
  • Tidigare versioner
  • Blogg
  • Bidra
  • Sekretess
  • Konsumenthälsans integritet
  • Användningsvillkor
  • Varumärken
  • © Microsoft 2026